import 'package:diplomaticquarterapp/core/viewModels/medical/reports_monthly_view_model.dart';
import 'package:diplomaticquarterapp/pages/base/base_view.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter_html/flutter_html.dart';

class UserAgreementContent extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return BaseView<ReportsMonthlyViewModel>(
      onModelReady: (model) => model.getUserTermsAndConditions(),
      builder: (_, model, w) => AppScaffold(
        isShowAppBar: true,
        baseViewModel: model,
        showNewAppBar: true,
        showNewAppBarTitle: true,
        backgroundColor: Color(0xffF7F7F7),
        appBarTitle: TranslationBase.of(context).userAgreement,
        body: SingleChildScrollView(
          physics: BouncingScrollPhysics(),
          child: Html(data: model.userAgreementContent),
        ),
      ),
    );
  }
}
